RAX2(1)

NAME
rax2 - radare base converter

  SYNOPSIS

  DESCRIPTION
This command is part of the radare project. This command allows you to convert values between positive and negative integer, float octal, binary and hexadecimal values.

  OPTIONS
Convert from binary string to caracter (rax2 -b 01000101) Keep de same base as the input data Swap endian. Show randomart key asciiart for values or hexpairs Convert from hex string to caracter (rax2 -s 43 4a 50) Convert from hex string to caracter (rax2 -S C J P) Convert given value to human readable units format Show program version Convert a string into a hash Show usage help message

  USAGE
Available variable types are:
  int -> hex rax2 10
  hex -> int rax2 0xa
  -int -> hex rax2 -77
  -hex -> int rax2 0xffffffb3
  int -> bin rax2 b30
  bin -> int rax2 1010d
  float -> hex rax2 3.33f
  hex -> float rax2 Fx40551ed8
  oct -> hex rax2 35o
  hex -> oct rax2 Ox12 (O is a letter)
  bin -> hex rax2 1100011b
  hex -> bin rax2 Bx63 With no arguments, rax2 reads values from stdin. You can pass one or more values as arguments.
  $ rax2 33 0x41 0101b
  0x21
  65
  0x5 You can do 'unpack' hexpair encoded strings easily.
  $ rax2 -s 41 42 43
  ABC And it supports some math operations.
  $ rax2
  0x5*101b+5
  30 It is a very useful tool for scripting, so you can read floating point values, or get the integer offset of a jump or a stack delta when analyzing programs.

  SEE ALSO

  AUTHORS
Written by pancake <pancake@nopcode.org> and nibble <nibble@develsec.org>.